Bug 422751 - Disrupting behavior of Quick Open (Ctrl+Alt+O) that didn't happen previously
Summary: Disrupting behavior of Quick Open (Ctrl+Alt+O) that didn't happen previously
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Applications
Component: general (show other bugs)
Version: 19.12.3
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KWrite Developers
URL:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2020-06-10 14:27 UTC by Ganton
Modified: 2020-12-16 16:31 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ganton 2020-06-10 14:27:15 UTC
SUMMARY
Quick Open (Ctrl+Alt+O) has a disrupting behavior that wasn't seen in previous versions of Kate.

STEPS TO REPRODUCE
1. Open several documents. 
2. Press Ctrl+Alt+O.
3. Type a letter which is common to the name of several documents.
4. See that only several documents are listed, and that one is selected.
5. Press Enter. See that the chosen document is opened.
6. Press Ctrl+Alt+O.
7. Type a letter which is in the name of only one document.
8. Press Enter. But see that a new document is opened...

OBSERVED RESULT
A new document is opened.

EXPECTED RESULT
The only document which is listed should be opened. This is what happened using Kubuntu 18.04, with an older version of Kate.

SOFTWARE/OS VERSIONS
Linux version: Kubuntu 20.04
KDE Plasma Version: 5.18.5
KDE Frameworks Version: 5.68
Qt Version: 5.12.8

ADDITIONAL INFORMATION
Note: This is not the same bug as "Bug 407103 - Quick Open useless in kate 18.12.3" (https://bugs.kde.org/show_bug.cgi?id=407103) though there is written: "No entry is selected by default. The second entry should be normally be selected by default. If you bring up "Quick Open" now and hit enter, it creates a new file. Every time. wat."
Comment 1 Ganton 2020-06-22 17:22:48 UTC
> This is not the same bug as "Bug 407103 - Quick Open useless 
> in kate 18.12.3" (https://bugs.kde.org/show_bug.cgi?id=407103)           
That is to say, the present problem is seen when there is only one file that meets the condition.
Comment 2 Justin Zobel 2020-10-30 03:26:48 UTC
Confirmed on git master, if only one document is listed it should be selected automatically so when a user presses enter it is opened.
Comment 3 Bug Janitor Service 2020-12-16 14:46:44 UTC
A possibly relevant merge request was started @ https://invent.kde.org/utilities/kate/-/merge_requests/139
Comment 4 Waqar Ahmed 2020-12-16 16:31:47 UTC
Git commit 48e29eed08e12ae373f713218e140b54da7cfb00 by Waqar Ahmed.
Committed on 16/12/2020 at 14:45.
Pushed by cullmann into branch 'master'.

Select first item in quick-open if only one item in list

M  +1    -1    kate/katequickopen.cpp

https://invent.kde.org/utilities/kate/commit/48e29eed08e12ae373f713218e140b54da7cfb00